VismaBouwsoftAPICalls.v1_GET_Earthworks Method
v1_GET_Earthworks() as String

This API call is used to get fields of a(n) Earthwork(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /Earthworks/
or
API Path: /Earthworks/{id}
or
API Path: /Earthworks/FieldInfo/

You can make this API call:
* without the key field id to get a list of Earthworks
* with the key field id as the path parameter (the specific id of the Earthwork you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
title tpString 50 No Yes No
documentnr tpLong 0 No Yes No
company_id tpLong 0 No Yes No
date tpDate 0 No Yes No
employee_id tpLong 0 No Yes No
driver tpString 150 No No No
machines_id tpLong 0 No Yes No
machine tpString 50 No No No
technicalreportnr tpString 100 No Yes No
groundtransportnotificationnr tpString 25 No No No
address_id tpLong 0 No No No
name tpString 150 No No No
address tpString 63 No No No
countrycode tpString 2 No No No
zipcode tpString 15 No No No
city tpString 40 No No No
contact_id tpLong 0 No No No
contact_name tpString 50 No No No
originproject_id tpLong 0 No Yes No
originproject_name tpString 100 No No No
originproject_pnr tpLong 0 No No No
originproject_unr tpLong 0 No No No
originproject_yourreference tpString 50 No No No
originaddress tpString 63 No No No
origincountrycode tpString 2 No No No
originzipcode tpString 15 No No No
origincity tpString 40 No No No
originstate tpString 40 No No No
destinationproject_id tpLong 0 No Yes No
destinationproject_name tpString 100 No No No
destinationproject_pnr tpLong 0 No No No
destinationproject_unr tpLong 0 No No No
destinationproject_yourreference tpString 50 No No No
destinationaddress tpString 63 No No No
destinationcountrycode tpString 2 No No No
destinationzipcode tpString 15 No No No
destinationcity tpString 40 No No No
destinationstate tpString 40 No No No

/Earthworks/

API Path: /Earthworks/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Earthworks

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: OtlfWxftVPzSfPDlIfzRqPkOfPmrfGrlfIVkzjtOfflGbVAUAb

Query Parameters :
ParameterName: filter, ParameterValue:
ParameterName: limit, ParameterValue: 5

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/77”, “Records”: [
  {
    "id": 1,
    "title": "GRONDVERZETDETAILfdgdfg",
    "documentnr": 119,
    "company_id": 1,
    "date": "2016–09–29",
    "employee_id": 97,
    "driver": "Vandenbussche Bert",
    "machines_id": 2,
    "machine": "Caddy 02",
    "technicalreportnr": "211–1456–14475",
    "groundtransportnotificationnr": "hallooo1",
    "address_id": 19221,
    "name": "3D BOUWTEAM!",
    "address": "Holstraat 61",
    "countrycode": "BE",
    "zipcode": "9000",
    "city": "Gent",
    "contact_id": 0,
    "contact_name": "",
    "originproject_id": 2,
    "originproject_name": "Project Nieuwbouw123",
    "originproject_pnr": 20120002,
    "originproject_unr": 2,
    "originproject_yourreference": "",
    "originaddress": "Zeedijkweg 23a",
    "origincountrycode": "BE",
    "originzipcode": "8210",
    "origincity": "Loppem",
    "originstate": "West-vlaanderen",
    "destinationproject_id": 19,
    "destinationproject_name": "Grondwerken in Aalst",
    "destinationproject_pnr": 20120012,
    "destinationproject_unr": 546879,
    "destinationproject_yourreference": "",
    "destinationaddress": "Ajuinstraat 7",
    "destinationcountrycode": "BE",
    "destinationzipcode": "9300",
    "destinationcity": "Aalst",
    "destinationstate": "Oost-Vlaanderen"
  },
  {
    "id": 2,
    "title": "APITest",
    "documentnr": 2,
    "company_id": 14,
    "date": "2015–07–30",
    "employee_id": 36,
    "driver": "Bert Bibber",
    "machines_id": 32,
    "machine": "FORD 01u",
    "technicalreportnr": "",
    "groundtransportnotificationnr": "",
    "address_id": 5927,
    "name": "Ardenne Electro",
    "address": "Rue du Fy 20",
    "countrycode": "BE",
    "zipcode": "5575",
    "city": "Gedinne",
    "contact_id": 2230,
    "contact_name": "Renvez Marylène",
    "originproject_id": 3,
    "originproject_name": "Project Parketvloeren 2016",
    "originproject_pnr": 20120003,
    "originproject_unr": 3,
    "originproject_yourreference": "",
    "originaddress": "Zeedijkweg 23a",
    "origincountrycode": "BE",
    "originzipcode": "8890",
    "origincity": "Dadizele",
    "originstate": "West-Vlaanderen",
    "destinationproject_id": 3,
    "destinationproject_name": "Project Parketvloeren 2016",
    "destinationproject_pnr": 20120003,
    "destinationproject_unr": 3,
    "destinationproject_yourreference": "",
    "destinationaddress": "Zeedijkweg 23a",
    "destinationcountrycode": "BE",
    "destinationzipcode": "8890",
    "destinationcity": "Dadizele",
    "destinationstate": "West-Vlaanderen"
  }
,

]
}

/Earthworks/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Earthworks/110

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: blOfWxfVrtzSfGkIjfzRqmUtfDIlfGbIfUOkzIrAbfAGflIjlt

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 110,
    "title": "",
    "documentnr": 152,
    "company_id": 2,
    "date": "2026–04–08",
    "employee_id": 301,
    "driver": "Andy Averechtss",
    "machines_id": 0,
    "machine": "",
    "technicalreportnr": "",
    "groundtransportnotificationnr": "",
    "address_id": 0,
    "name": "",
    "address": "",
    "countrycode": "",
    "zipcode": "",
    "city": "",
    "contact_id": 0,
    "contact_name": "",
    "originproject_id": 0,
    "originproject_name": "",
    "originproject_pnr": 0,
    "originproject_unr": 0,
    "originproject_yourreference": "",
    "originaddress": "",
    "origincountrycode": "",
    "originzipcode": "",
    "origincity": "",
    "originstate": "",
    "destinationproject_id": 0,
    "destinationproject_name": "",
    "destinationproject_pnr": 0,
    "destinationproject_unr": 0,
    "destinationproject_yourreference": "",
    "destinationaddress": "",
    "destinationcountrycode": "",
    "destinationzipcode": "",
    "destinationcity": "",
    "destinationstate": ""
  }
]
}

https://ra.bouwsoft.be/api/v1/Earthworks/110

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PrDfWxfDkfzSfOjtAfzRqtrmfOmVfGrmfDbkzrUVOjUGtrtDII

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 110,
    "title": "",
    "documentnr": 152,
    "company_id": 2,
    "date": "2026–04–08",
    "employee_id": 6,
    "driver": "John Cleerwerck",
    "machines_id": 0,
    "machine": "",
    "technicalreportnr": "",
    "groundtransportnotificationnr": "",
    "address_id": 0,
    "name": "",
    "address": "",
    "countrycode": "",
    "zipcode": "",
    "city": "",
    "contact_id": 0,
    "contact_name": "",
    "originproject_id": 0,
    "originproject_name": "",
    "originproject_pnr": 0,
    "originproject_unr": 0,
    "originproject_yourreference": "",
    "originaddress": "",
    "origincountrycode": "",
    "originzipcode": "",
    "origincity": "",
    "originstate": "",
    "destinationproject_id": 0,
    "destinationproject_name": "",
    "destinationproject_pnr": 0,
    "destinationproject_unr": 0,
    "destinationproject_yourreference": "",
    "destinationaddress": "",
    "destinationcountrycode": "",
    "destinationzipcode": "",
    "destinationcity": "",
    "destinationstate": ""
  }
]
}

/Earthworks/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Earthworks/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "title",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "documentnr",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  }
,

]